Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038581
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2018-05-18 11:132018-05-30 00:14
ReportergorkaionView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision231186969ee7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038581: It should not be possible to process a Landed Cost Matching when the Landed Cost is in draft status

DescriptionHaving a Landed Cost in draft status with a Cost already created.

From the Purchase Invoice window it is possible to match and process the matching even if the Landed Cost is in draft status.

Trying to process later the Landed Cost throws an error as the Landed Cost Cost Matching is already processed.

Steps To Reproduce1 Configure a Landed Cost type using product "Electricidad" in F&B España.
2 Create a Landed Cost and a Landed Cost Cost.
3 Create a Purchase Invoice with a Line using the "Electricidad" product.
4 Process the Purchase Invoice.
5 Go to the Line and open the Match LC Costs process.
6 Select the draft Landed Cost, set the invoice line amount and select the Process Matching flag.
7 Click on Done to process the matching.
8 Go to the Landed Cost and try to process it.
Proposed SolutionThe LCMatchingProcess should check that the Landed Cost is processed. So the step 7 should have throw an error.

Ideally the "Match LC Costs" should not let you check the Process Matching flag if the related Landed Cost is not processed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104685)
AtulOpenbravo (developer)
2018-05-25 00:49

Test Plan

1- Configure a Landed Cost type using product "Electricidad" in F&B España.
2- Create a Landed Cost and a Landed Cost Cost. Do not process it.
3- Create a Purchase Invoice with a Line using the "Electricidad" product.
4- Process the Purchase Invoice.
5- Go to the Line and open the Match LC Costs process.
6- Realize that No records are loaded in the Pop up window.
7- Navigate back to the preivous Landed Cost created and Add information in Receipt Tab and process it.
8- Navigate back to the previous Purchase Invoice Line and open the Match LC Costs process.
9- Click on Done to process the matching.
10- Realize that process is executed successfully.
(0104779)
hgbot (developer)
2018-05-29 17:33

Repository: erp/devel/pi
Changeset: 231186969ee7faaa7c2a005d2d49972d9ee86945
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 25 04:22:07 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/231186969ee7faaa7c2a005d2d49972d9ee86945 [^]

Fixes Issue 38581: It should not be possible to process a
Landed Cost Matching when the Landed Cost is in draft status

In where clause of HQL query for table used in loading Landed
Costs in Match LC Costs process definition pop up window,
add condition to check whether LC records are processed.

---
M src-db/database/sourcedata/AD_TABLE.xml
---
(0104780)
dmiguelez (developer)
2018-05-29 17:38

Code Review + Testing Ok
(0104793)
hudsonbot (developer)
2018-05-30 00:14

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/08f13cf1fa33 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-18 11:13 gorkaion New Issue
2018-05-18 11:13 gorkaion Assigned To => Triage Finance
2018-05-18 11:13 gorkaion Modules => Core
2018-05-18 11:13 gorkaion Triggers an Emergency Pack => No
2018-05-21 13:08 aferraz Assigned To Triage Finance => AtulOpenbravo
2018-05-25 00:49 AtulOpenbravo Status new => scheduled
2018-05-25 00:49 AtulOpenbravo Note Added: 0104685
2018-05-29 17:33 hgbot Checkin
2018-05-29 17:33 hgbot Note Added: 0104779
2018-05-29 17:33 hgbot Status scheduled => resolved
2018-05-29 17:33 hgbot Resolution open => fixed
2018-05-29 17:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/231186969ee7faaa7c2a005d2d49972d9ee86945 [^]
2018-05-29 17:38 dmiguelez Review Assigned To => dmiguelez
2018-05-29 17:38 dmiguelez Note Added: 0104780
2018-05-29 17:38 dmiguelez Status resolved => closed
2018-05-29 17:38 dmiguelez Fixed in Version => 3.0PR18Q3
2018-05-30 00:14 hudsonbot Checkin
2018-05-30 00:14 hudsonbot Note Added: 0104793


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker